Page MenuHomePhabricator

Switch Related Articles on Wikivoyage from sidebar to footer
Closed, ResolvedPublic

Description

Per discussion on https://en.wikivoyage.org/wiki/Wikivoyage:Travellers%27_pub/2017#Proposal:_Use_new_modernised_version_of_Extension:RelatedArticles we'd like to update Wikivoyage

This will allow us to deprecate wgRelatedArticlesShowInSidebar and associated code which is only used by this project.

A/C

  • The related pages should not make use of Cirrus Search (only magic word)
  • Related pages should show in the footer

Sign off criteria

  • Create new task for following up with community that they are happy with the new look. With their blessing deprecate the code relating to the sidebar presentation.

Event Timeline

Jdlrobson created this task.May 3 2017, 4:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2017, 4:08 PM

Change 351664 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Wikivoyage should show related pages in footer of skin

https://gerrit.wikimedia.org/r/351664

Jdlrobson updated the task description. (Show Details)May 3 2017, 4:11 PM
Jdlrobson triaged this task as Normal priority.May 4 2017, 6:29 PM

Change 351664 merged by jenkins-bot:
[operations/mediawiki-config@master] Wikivoyage should show related pages in footer of skin

https://gerrit.wikimedia.org/r/351664

Mentioned in SAL (#wikimedia-operations) [2017-05-08T13:44:04Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:351664|Wikivoyage should show related pages in footer of skin (T164391)]] (duration: 00m 39s)

Mentioned in SAL (#wikimedia-operations) [2017-05-08T13:45:15Z] <zfilipin@tin> Synchronized wmf-config/CommonSettings.php: SWAT: [[gerrit:351664|Wikivoyage should show related pages in footer of skin (T164391)]] (duration: 00m 39s)

This uncovered the fact that pages like https://en.m.wikivoyage.org/wiki/Japan have more than 3 articles that are related pages

Jdlrobson closed this task as Resolved.May 8 2017, 4:27 PM
Jdlrobson claimed this task.

T164765 has been setup.

phuedx updated the task description. (Show Details)Aug 22 2017, 10:38 AM